PLplot: octave_swig_type Class Reference

PLplot 5.10.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros
Classes | Public Types | Public Member Functions | Static Public Member Functions | Private Types | Private Member Functions | Static Private Member Functions | Private Attributes | List of all members
octave_swig_type Class Reference

## Classes
struct | cpp_ptr

## Public Types
typedef member_map::const_iterator | swig_member_const_iterator

## Public Member Functions
| octave_swig_type (void *_ptr=0, const swig_type_info *_type=0, int _own=0, bool _always_static=false)
| ~octave_swig_type ()
dim_vector | dims (void) const
octave_value | as_value ()
void | incref ()
void | decref ()
long | swig_this () const
const char * | help_text () const
std::string | swig_type_name () const
void | merge (octave_swig_type &rhs)
swig_member_const_iterator | swig_members_begin ()
swig_member_const_iterator | swig_members_end ()
void * | cast (swig_type_info *type, int *_own, int flags)
bool | is_owned () const
void | assign (const std::string &name, const octave_value &ov)
void | assign (const std::string &name, const swig_octave_member *m)
octave_base_value * | clone () const
octave_base_value * | empty_clone () const
bool | is_defined () const
virtual bool | is_map () const
virtual octave_value | subsref (const std::string &ops, const std::list< octave_value_list > &idx)
virtual octave_value_list | subsref (const std::string &ops, const std::list< octave_value_list > &idx, int nargout)
octave_value | subsasgn (const std::string &ops, const std::list< octave_value_list > &idx, const octave_value &rhs)
virtual bool | is_object () const
virtual bool | is_string () const
virtual std::string | string_value (bool force=false) const
virtual Octave_map | map_value () const
virtual string_vector | map_keys () const
virtual bool | save_ascii (std::ostream &os)
virtual bool | load_ascii (std::istream &is)
virtual bool | save_binary (std::ostream &os, bool &save_as_floats)
virtual bool | load_binary (std::istream &is, bool swap, oct_mach_info::float_format fmt)
virtual octave_value | convert_to_str (bool pad=false, bool force=false, char type= '"') const
virtual octave_value | convert_to_str_internal (bool pad, bool force, char type) const
void | print (std::ostream &os, bool pr_as_read_syntax=false) const

## Static Public Member Functions
static bool | dispatch_global_op (const std::string &symbol, const octave_value_list &args, octave_value &ret)
static octave_value | dispatch_unary_op (const octave_base_value &x, const char *op_name)
static octave_value | dispatch_binary_op (const octave_base_value &lhs, const octave_base_value &rhs, const char *op_name)

## Private Types
typedef std::pair< const swig_type_info *, cpp_ptr > | type_ptr_pair
typedef std::pair< const swig_octave_member *, octave_value > | member_value_pair
typedef std::map< std::string, member_value_pair > | member_map

## Private Member Functions
const swig_octave_member * | find_member (const swig_type_info *type, const std::string &name)
member_value_pair * | find_member (const std::string &name, bool insert_if_not_found)
const swig_type_info * | find_base (const std::string &name, const swig_type_info *base)
void | load_members (const swig_octave_class *c, member_map &out) const
void | load_members (member_map &out) const
octave_value_list | member_invoke (member_value_pair *m, const octave_value_list &args, int nargout)
bool | dispatch_unary_op (const std::string &symbol, octave_value &ret)
bool | dispatch_binary_op (const std::string &symbol, const octave_base_value &rhs, octave_value &ret)
bool | dispatch_index_op (const std::string &symbol, const octave_value_list &rhs, octave_value_list &ret)
octave_value_list | member_deref (member_value_pair *m, const octave_value_list &args)
| octave_swig_type (const octave_swig_type &x)
octave_swig_type & | operator= (const octave_swig_type &rhs)

## Static Private Member Functions
static octave_value | make_value_hack (const octave_base_value &x)

## Private Attributes
swig_module_info * | module
const swig_type_info * | construct_type
std::vector< type_ptr_pair > | types
int | own
member_map | members
bool | always_static

## Detailed Description

Definition at line 940 of file plplot_octaveOCTAVE_wrap.cxx.

## Member Typedef Documentation

typedef std::map< std::string, member_value_pair > octave_swig_type::member_map
| private

Definition at line 955 of file plplot_octaveOCTAVE_wrap.cxx.

typedef std::pair< const swig_octave_member *, octave_value > octave_swig_type::member_value_pair
| private

Definition at line 954 of file plplot_octaveOCTAVE_wrap.cxx.

typedef member_map::const_iterator octave_swig_type::swig_member_const_iterator

Definition at line 1272 of file plplot_octaveOCTAVE_wrap.cxx.

typedef std::pair< const swig_type_info *, cpp_ptr > octave_swig_type::type_ptr_pair
| private

Definition at line 946 of file plplot_octaveOCTAVE_wrap.cxx.

## Constructor & Destructor Documentation

octave_swig_type::octave_swig_type | ( | const octave_swig_type & | x | ) |
| private

octave_swig_type::octave_swig_type | ( | void * | _ptr = `0`,
|  | const swig_type_info * | _type = `0`,
|  | int | _own = `0`,
|  | bool | _always_static = `false`
| ) |  |
| inline

Definition at line 1123 of file plplot_octaveOCTAVE_wrap.cxx.

octave_swig_type::~octave_swig_type | ( |  | ) |
| inline

Definition at line 1138 of file plplot_octaveOCTAVE_wrap.cxx.

## Member Function Documentation

octave_value octave_swig_type::as_value | ( |  | ) |
| inline

Definition at line 1212 of file plplot_octaveOCTAVE_wrap.cxx.

void octave_swig_type::assign | ( | const std::string & | name,
|  | const octave_value & | ov
| ) |  |
| inline

Definition at line 1316 of file plplot_octaveOCTAVE_wrap.cxx.

void octave_swig_type::assign | ( | const std::string & | name,
|  | const swig_octave_member * | m
| ) |  |
| inline

Definition at line 1320 of file plplot_octaveOCTAVE_wrap.cxx.

void* octave_swig_type::cast | ( | swig_type_info * | type,
|  | int * | _own,
|  | int | flags
| ) |  |
| inline

Definition at line 1276 of file plplot_octaveOCTAVE_wrap.cxx.

octave_base_value* octave_swig_type::clone | ( |  | ) | const
| inline

Definition at line 1324 of file plplot_octaveOCTAVE_wrap.cxx.

virtual octave_value octave_swig_type::convert_to_str | ( | bool | pad = `false`,
|  | bool | force = `false`,
|  | char | type = `'"'`
| ) |  | const
| inlinevirtual

Definition at line 1563 of file plplot_octaveOCTAVE_wrap.cxx.

virtual octave_value octave_swig_type::convert_to_str_internal | ( | bool | pad,
|  | bool | force,
|  | char | type
| ) |  | const
| inlinevirtual

Definition at line 1567 of file plplot_octaveOCTAVE_wrap.cxx.

void octave_swig_type::decref | ( |  | ) |
| inline

Definition at line 1221 of file plplot_octaveOCTAVE_wrap.cxx.

dim_vector octave_swig_type::dims | ( | void |  | ) | const
| inline

Definition at line 1156 of file plplot_octaveOCTAVE_wrap.cxx.

bool octave_swig_type::dispatch_binary_op | ( | const std::string & | symbol,
|  | const octave_base_value & | rhs,
|  | octave_value & | ret
| ) |  |
| inlineprivate

Definition at line 1074 of file plplot_octaveOCTAVE_wrap.cxx.

static octave_value octave_swig_type::dispatch_binary_op | ( | const octave_base_value & | lhs,
|  | const octave_base_value & | rhs,
|  | const char * | op_name
| ) |  |
| inlinestatic

Definition at line 1599 of file plplot_octaveOCTAVE_wrap.cxx.

static bool octave_swig_type::dispatch_global_op | ( | const std::string & | symbol,
|  | const octave_value_list & | args,
|  | octave_value & | ret
| ) |  |
| inlinestatic

Definition at line 1571 of file plplot_octaveOCTAVE_wrap.cxx.

bool octave_swig_type::dispatch_index_op | ( | const std::string & | symbol,
|  | const octave_value_list & | rhs,
|  | octave_value_list & | ret
| ) |  |
| inlineprivate

Definition at line 1088 of file plplot_octaveOCTAVE_wrap.cxx.

bool octave_swig_type::dispatch_unary_op | ( | const std::string & | symbol,
|  | octave_value & | ret
| ) |  |
| inlineprivate

Definition at line 1061 of file plplot_octaveOCTAVE_wrap.cxx.

static octave_value octave_swig_type::dispatch_unary_op | ( | const octave_base_value & | x,
|  | const char * | op_name
| ) |  |
| inlinestatic

Definition at line 1582 of file plplot_octaveOCTAVE_wrap.cxx.

octave_base_value* octave_swig_type::empty_clone | ( |  | ) | const
| inline

Definition at line 1332 of file plplot_octaveOCTAVE_wrap.cxx.

const swig_type_info* octave_swig_type::find_base | ( | const std::string & | name,
|  | const swig_type_info * | base
| ) |  |
| inlineprivate

Definition at line 995 of file plplot_octaveOCTAVE_wrap.cxx.

const swig_octave_member* octave_swig_type::find_member | ( | const swig_type_info * | type,
|  | const std::string & | name
| ) |  |
| inlineprivate

Definition at line 959 of file plplot_octaveOCTAVE_wrap.cxx.

member_value_pair* octave_swig_type::find_member | ( | const std::string & | name,
|  | bool | insert_if_not_found
| ) |  |
| inlineprivate

Definition at line 982 of file plplot_octaveOCTAVE_wrap.cxx.

const char* octave_swig_type::help_text | ( |  | ) | const
| inline

Definition at line 1231 of file plplot_octaveOCTAVE_wrap.cxx.

void octave_swig_type::incref | ( |  | ) |
| inline

Definition at line 1217 of file plplot_octaveOCTAVE_wrap.cxx.

bool octave_swig_type::is_defined | ( |  | ) | const
| inline

Definition at line 1336 of file plplot_octaveOCTAVE_wrap.cxx.

virtual bool octave_swig_type::is_map | ( |  | ) | const
| inlinevirtual

Definition at line 1340 of file plplot_octaveOCTAVE_wrap.cxx.

virtual bool octave_swig_type::is_object | ( |  | ) | const
| inlinevirtual

Definition at line 1488 of file plplot_octaveOCTAVE_wrap.cxx.

bool octave_swig_type::is_owned | ( |  | ) | const
| inline

Definition at line 1298 of file plplot_octaveOCTAVE_wrap.cxx.

virtual bool octave_swig_type::is_string | ( |  | ) | const
| inlinevirtual

Definition at line 1492 of file plplot_octaveOCTAVE_wrap.cxx.

virtual bool octave_swig_type::load_ascii | ( | std::istream & | is | ) |
| inlinevirtual

Definition at line 1538 of file plplot_octaveOCTAVE_wrap.cxx.

virtual bool octave_swig_type::load_binary | ( | std::istream & | is,
|  | bool | swap,
|  | oct_mach_info::float_format | fmt
| ) |  |
| inlinevirtual

Definition at line 1546 of file plplot_octaveOCTAVE_wrap.cxx.

void octave_swig_type::load_members | ( | const swig_octave_class * | c,
|  | member_map & | out
| ) |  | const
| inlineprivate

Definition at line 1024 of file plplot_octaveOCTAVE_wrap.cxx.

void octave_swig_type::load_members | ( | member_map & | out | ) | const
| inlineprivate

Definition at line 1045 of file plplot_octaveOCTAVE_wrap.cxx.

static octave_value octave_swig_type::make_value_hack | ( | const octave_base_value & | x | ) |
| inlinestaticprivate

Definition at line 1114 of file plplot_octaveOCTAVE_wrap.cxx.

virtual string_vector octave_swig_type::map_keys | ( |  | ) | const
| inlinevirtual

Definition at line 1522 of file plplot_octaveOCTAVE_wrap.cxx.

virtual Octave_map octave_swig_type::map_value | ( |  | ) | const
| inlinevirtual

Definition at line 1517 of file plplot_octaveOCTAVE_wrap.cxx.

octave_value_list octave_swig_type::member_deref | ( | member_value_pair * | m,
|  | const octave_value_list & | args
| ) |  |
| inlineprivate

Definition at line 1101 of file plplot_octaveOCTAVE_wrap.cxx.

octave_value_list octave_swig_type::member_invoke | ( | member_value_pair * | m,
|  | const octave_value_list & | args,
|  | int | nargout
| ) |  |
| inlineprivate

Definition at line 1052 of file plplot_octaveOCTAVE_wrap.cxx.

void octave_swig_type::merge | ( | octave_swig_type & | rhs | ) |
| inline

Definition at line 1256 of file plplot_octaveOCTAVE_wrap.cxx.

octave_swig_type& octave_swig_type::operator= | ( | const octave_swig_type & | rhs | ) |
| private

void octave_swig_type::print | ( | std::ostream & | os,
|  | bool | pr_as_read_syntax = `false`
| ) |  | const
| inline

Definition at line 1653 of file plplot_octaveOCTAVE_wrap.cxx.

virtual bool octave_swig_type::save_ascii | ( | std::ostream & | os | ) |
| inlinevirtual

Definition at line 1534 of file plplot_octaveOCTAVE_wrap.cxx.

virtual bool octave_swig_type::save_binary | ( | std::ostream & | os,
|  | bool & | save_as_floats
| ) |  |
| inlinevirtual

Definition at line 1542 of file plplot_octaveOCTAVE_wrap.cxx.

virtual std::string octave_swig_type::string_value | ( | bool | force = `false` | ) | const
| inlinevirtual

Definition at line 1497 of file plplot_octaveOCTAVE_wrap.cxx.

octave_value octave_swig_type::subsasgn | ( | const std::string & | ops,
|  | const std::list< octave_value_list > & | idx,
|  | const octave_value & | rhs
| ) |  |
| inline

Definition at line 1436 of file plplot_octaveOCTAVE_wrap.cxx.

virtual octave_value octave_swig_type::subsref | ( | const std::string & | ops,
|  | const std::list< octave_value_list > & | idx
| ) |  |
| inlinevirtual

Definition at line 1344 of file plplot_octaveOCTAVE_wrap.cxx.

virtual octave_value_list octave_swig_type::subsref | ( | const std::string & | ops,
|  | const std::list< octave_value_list > & | idx,
|  | int | nargout
| ) |  |
| inlinevirtual

Definition at line 1349 of file plplot_octaveOCTAVE_wrap.cxx.

swig_member_const_iterator octave_swig_type::swig_members_begin | ( |  | ) |
| inline

Definition at line 1273 of file plplot_octaveOCTAVE_wrap.cxx.

swig_member_const_iterator octave_swig_type::swig_members_end | ( |  | ) |
| inline

Definition at line 1274 of file plplot_octaveOCTAVE_wrap.cxx.

long octave_swig_type::swig_this | ( |  | ) | const
| inline

Definition at line 1226 of file plplot_octaveOCTAVE_wrap.cxx.

std::string octave_swig_type::swig_type_name | ( |  | ) | const
| inline

Definition at line 1240 of file plplot_octaveOCTAVE_wrap.cxx.

## Member Data Documentation

bool octave_swig_type::always_static
| private

Definition at line 957 of file plplot_octaveOCTAVE_wrap.cxx.

const swig_type_info* octave_swig_type::construct_type
| private

Definition at line 950 of file plplot_octaveOCTAVE_wrap.cxx.

member_map octave_swig_type::members
| private

Definition at line 956 of file plplot_octaveOCTAVE_wrap.cxx.

swig_module_info* octave_swig_type::module
| mutableprivate

Definition at line 948 of file plplot_octaveOCTAVE_wrap.cxx.

int octave_swig_type::own
| private

Definition at line 952 of file plplot_octaveOCTAVE_wrap.cxx.

std::vector< type_ptr_pair > octave_swig_type::types
| private

Definition at line 951 of file plplot_octaveOCTAVE_wrap.cxx.

The documentation for this class was generated from the following file:

- plplot_octaveOCTAVE_wrap.cxx